Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces
Class StateHolderArray

    java.lang.Object
      org.richfaces.StateHolderArray

All Implemented Interfaces:
  javax.faces.component.StateHolder

    public class StateHolderArray

extends java.lang.Object
implements javax.faces.component.StateHolder

Author:
  Nick Belaevski

Constructor Summary
`StateHolderArray()`

Method Summary
`boolean` | `add(java.lang.Object e)`
`java.lang.Object` | `get(int index)`
`boolean` | `isEmpty()`
`boolean` | `isTransient()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object stateObject)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setTransient(boolean newTransientValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StateHolderArray

    public StateHolderArray()

Method Detail

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object stateObject)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`

### isTransient

    public boolean isTransient()

  Specified by:
    `isTransient` in interface `javax.faces.component.StateHolder`

### setTransient

    public void setTransient(boolean newTransientValue)

  Specified by:
    `setTransient` in interface `javax.faces.component.StateHolder`

### add

    public boolean add(java.lang.Object e)

### get

    public java.lang.Object get(int index)

### isEmpty

    public boolean isEmpty()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.